/*
  PTT_Test
 Dieses Programm dient der Kontrolle der Funktion des PTT Ausgangs.
 PTT (und zur optischen Kontrolle auch die LED) werden im 10 Sekunden Takt
 ein und aus geschaltet. Damit können die Pegel sauber gemessen werden. 
 
 This example code is in the public domain.
 */

// Global area
// Pin 13 has an LED connected on most Arduino boards.
// give it a name:
const int led = 13;
// Der PTT Steuerausgang ist an Pin D2 verbunden
const int ptt = 2; 

int State = 0;

// the setup routine runs once when you press reset:
void setup() {                
  // initialize the digital pin as an output.
  pinMode(led, OUTPUT);   
  // initialize the ptt pin as an output:
  pinMode(ptt, OUTPUT);
   
  // initialize serial communication at 9600 bits per second:
  Serial.begin(9600);
  Serial.print(" Programm PTT_Test;  " );
  Serial.print(" Check output pin D2 for function.  " );
  Serial.print("   " );

}

// the loop routine runs over and over again forever:
void loop() {
 
  // Wert wechseln, toggle value
  if (State==0) State=1; else State=0;

 
  // Auswertung, Eingang HIGH:
  if (State == 1 ) {
    //  LED und PTT an:
    digitalWrite(led, HIGH);
    digitalWrite(ptt, HIGH);
  } else {
    //  LED aus:
    digitalWrite(led, LOW);
    digitalWrite(ptt, LOW);
  }
  
  delay(500);     // 10sec warten / delay

}

