/*
  Multiple tone player: Test aller 4 DA Wandler Ausgänge. 
  Es wird ein Ton nacheinander auf alle 4 DA Wandler Pins ausgegeben, 
  beginnend von Leise mit LED13 bis Laut, dann wieder von vorn. 

 */

int tone_time = 1500;
int led = 13;                  // LED test pin

void setup() {
  Serial.begin(9600);            // data rate seriall communication at RX0/TX0
  Serial.println("Test_Tone; ARPS Modem Check: Ausgabe von Tönen an der Mikrofonbuchse. ");

  pinMode(led, OUTPUT);       // initialize LED pin

}

void loop() {
  // turn off tone function for pin 8:
  noTone(11);
  digitalWrite(led, HIGH);   // turn the LED on (HIGH is the voltage level)
  // play a note on pin  
  tone(8, 440, tone_time);
  delay(tone_time);
  digitalWrite(led, LOW);    // turn the LED off by making the voltage LOW

  // turn off tone function for pin 8:
  noTone(8);
  // play a note on pin 7 for 500 ms:
  tone(9, 440, tone_time);
  delay(tone_time);

  // turn off tone function for pin 9:
  noTone(9);
  // play a note on pin 8 for 500 ms:
  tone(10, 440, tone_time);
  delay(tone_time);

  // turn off tone function for pin 10:
  noTone(10);
  // play a note on pin 8 for 500 ms:
  tone(11, 440, tone_time);
  delay(tone_time);

  
}
